# $Id: perl-Video-Capture-V4l.spec 3684 2005-11-05 15:48:55Z dries $
# Authority: dries
# Upstream: Marc Lehmann <pcg$goof,com>

%define perl_vendorlib %(eval "`perl -V:installvendorlib`"; echo $installvendorlib)
%define perl_vendorarch %(eval "`perl -V:installvendorarch`"; echo $installvendorarch)

%define real_name Video-Capture-V4l

Summary: Perl interface to the Video4linux framegrabber interface
Name: perl-Video-Capture-V4l
Version: 0.9
Release: 1.rf
License: Artistic/GPL
Group: Applications/CPAN
URL: http://search.cpan.org/dist/Video-Capture-V4l/

Packager: Dries Verachtert <dries@ulyssis.org>
Vendor: Dag Apt Repository, http://dag.wieers.com/apt/

Source: http://search.cpan.org/CPAN/authors/id/M/ML/MLEHMANN/Video-Capture-V4l-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: perl

%description
Perl interface to the Video4linux framegrabber interface.

%prep
%setup -n %{real_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS="vendor" PREFIX="%{buildroot}%{_prefix}"
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%makeinstall
%{__rm} -rf %{buildroot}%{perl_archlib}/perllocal.pod %{buildroot}%{perl_vendorarch}/auto/*/*/.packlist

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc Changes README
%doc %{_mandir}/man3/*
%{perl_vendorarch}/Video
%{perl_vendorarch}/auto/Video

%changelog
* Sat Nov  5 2005 Dries Verachtert <dries@ulyssis.org> - 0.9-1 - 3684/dries
- Updated to release 0.9.

* Sat Apr  9 2005 Dries Verachtert <dries@ulyssis.org> - 0.225-1
- Initial package.
